import request from '@/utils/request'

// 查询用户APP关联列表
export function listUserApp(query) {
  return request({
    url: '/bst/userApp/list',
    method: 'get',
    params: query
  })
}

// 查询用户APP关联详细
export function getUserApp(id) {
  return request({
    url: '/bst/userApp/' + id,
    method: 'get'
  })
}

// 新增用户APP关联
export function addUserApp(data) {
  return request({
    url: '/bst/userApp',
    method: 'post',
    data: data
  })
}

// 修改用户APP关联
export function updateUserApp(data) {
  return request({
    url: '/bst/userApp',
    method: 'put',
    data: data
  })
}

// 删除用户APP关联
export function delUserApp(id) {
  return request({
    url: '/bst/userApp/' + id,
    method: 'delete'
  })
}
